import '../base.dart';

class TrafCustomer extends Base {
  int? customerId;
  int? langId;
  String? nameValue;
  String? customerName;
  String? languageName;
  int? id;
  String? createdBy;
  String? createdDate;
  String? modifiedBy;
  String? modifiedDate;

  TrafCustomer({
    this.customerId,
    this.langId,
    this.nameValue,
    this.customerName,
    this.languageName,
    this.id,
    this.createdBy,
    this.createdDate,
    this.modifiedBy,
    this.modifiedDate,
  }) : super(identifier: id?.toString() ?? '', name: nameValue ?? customerName);

  factory TrafCustomer.fromJson(Map<String, dynamic> json) {
    return TrafCustomer(
      customerId: json['customerId'],
      langId: json['langId'],
      nameValue: json['nameValue'],
      customerName: json['customerName'],
      languageName: json['languageName'],
      id: json['id'],
      createdBy: json['createdBy'],
      createdDate: json['createdDate'],
      modifiedBy: json['modifiedBy'],
      modifiedDate: json['modifiedDate'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'customerId': customerId,
      'langId': langId,
      'nameValue': nameValue,
      'customerName': customerName,
      'languageName': languageName,
      'id': id,
      'createdBy': createdBy,
      'createdDate': createdDate,
      'modifiedBy': modifiedBy,
      'modifiedDate': modifiedDate,
    };
  }

  @override
  String toString() {
    return nameValue ?? customerName ?? '';
  }
}
